// DRVTYPE.H


    // Return values of GetDriveTypeEx(). 
 #define EX_DRIVE_INVALID    0 
 #define EX_DRIVE_REMOVABLE  1 
 #define EX_DRIVE_FIXED      2 
 #define EX_DRIVE_REMOTE     3 
 #define EX_DRIVE_CDROM      4 
 #define EX_DRIVE_FLOPPY     5 
 #define EX_DRIVE_RAMDISK    6


    // See the "MS-DOS Programmer's Reference" for further information 
    // about this structure.


typedef struct tagDEVICEPARAMS 
{ 
    BYTE  bSpecFunc;        // Special functions 
    BYTE  bDevType;         // Device type 
    WORD  wDevAttr;         // Device attributes 
    WORD  wCylinders;       // Number of cylinders 
    BYTE  bMediaType;       // Media type 
                            // Beginning of BIOS parameter block (BPB) 
    WORD  wBytesPerSec;     // Bytes per sector 
    BYTE  bSecPerClust;     // Sectors per cluster 
    WORD  wResSectors;      // Number of reserved sectors 
    BYTE  bFATs;            // Number of FATs 
    WORD  wRootDirEnts;     // Number of root-directory entries 
    WORD  wSectors;         // Total number of sectors 
    BYTE  bMedia;           // Media descriptor 
    WORD  wFATsecs;         // Number of sectors per FAT 
    WORD  wSecPerTrack;     // Number of sectors per track 
    WORD  wHeads;           // Number of heads 
    DWORD dwHiddenSecs;     // Number of hidden sectors 
    DWORD dwHugeSectors;    // Number of sectors if wSectors == 0 
                            // End of BIOS parameter block (BPB) 
} DEVICEPARAMS, FAR * LPDEVICEPARAMS;


// BOOL GetDeviceParameters (int nDrive, LPDEVICEPARAMS dp);
extern BOOL IsCDRomDrive (int nDrive); 
extern UINT GetDriveTypeEx (int nDrive);